@variants responsive {
  /* shape base */
  .fx-shape {
    --fx-shape-position-x: 50%;
    --fx-shape-position-y: 50%;
  }

  /* shape position */
  .fx-shp-x-left {
    --fx-shape-position-x: 0%;
  }
  .fx-shp-x-center {
    --fx-shape-position-x: 50%;
  }
  .fx-shp-x-right {
    --fx-shape-position-x: 100%;
  }
  .fx-shp-x-0 {
    --fx-shape-position-x: 0%;
  }
  .fx-shp-x-20 {
    --fx-shape-position-x: 20%;
  }
  .fx-shp-x-40 {
    --fx-shape-position-x: 40%;
  }
  .fx-shp-x-60 {
    --fx-shape-position-x: 60%;
  }
  .fx-shp-x-80 {
    --fx-shape-position-x: 80%;
  }
  .fx-shp-x-100 {
    --fx-shape-position-x: 100%;
  }

  .fx-shp-y-top {
    --fx-shape-position-y: 0%;
  }
  .fx-shp-y-center {
    --fx-shape-position-y: 50%;
  }
  .fx-shp-y-bottom {
    --fx-shape-position-y: 100%;
  }
  .fx-shp-y-0 {
    --fx-shape-position-y: 0%;
  }
  .fx-shp-y-20 {
    --fx-shape-position-y: 20%;
  }
  .fx-shp-y-40 {
    --fx-shape-position-y: 40%;
  }
  .fx-shp-y-60 {
    --fx-shape-position-y: 60%;
  }
  .fx-shp-y-80 {
    --fx-shape-position-y: 80%;
  }
  .fx-shp-y-100 {
    --fx-shape-position-y: 100%;
  }

  /* basic shapes */
  .fx-shp-circle {
    clip-path: circle(var(--fx-shape-radius, 25%) at var(--fx-shape-position-x) var(--fx-shape-position-y));
  }
  .fx-shp-ellipse {
    clip-path: ellipse(var(--fx-shape-radius-x, 25%) var(--fx-shape-radius-y, 50%) at var(--fx-shape-position-x) var(--fx-shape-position-y));
  }
}